/*--------------------------------
 * 2002/7/31
 * ------------------------------*/

#include "ido_net.h"

static char *ua="xjp-text_net";
static char *ap="text/html, image/png, image/jpeg, image/gif, image/x-xbitmap, */*";
static char *apc="ja;q=1.0,en;q=0.5";
static char *ape="deflate, gzip, x-gzip, identity, *;q=0";
static char *ape_t="";
static char *cn="Keep-Alive,TE";
static char *te="deflate, gzip, chunked, identity, trailers";


char *idoGetUrlHost(char *target)
{
	char *p,*host,*http = "://";
	int a,h,next,httplen;

	httplen = strlen(http);

	host = (char *)malloc(strlen(target));

	a=0;
	h=0;
	next=0;
	for(p=target;*p;p++){
		if(*p == *(http+h)){
			h++;
		}else{
			h=0;
		}
		if(httplen == h){
			next=1;
			continue;
		}
		if(*p=='/' && next==1){
			*(host+a) = '\0';
			break;
		}
		if(next) *(host+(a++)) = *p;
	}

	return host;
}

int idoGetNetworkData(char *target,char *host,char *referer,char *savefile,char *message)
{
	shtml_t *shtml;

	FILE *fp;

	shtml = (shtml_t *)malloc(sizeof(shtml_t));
	shtml->target = target;
	shtml->refere = referer;
	shtml->host = host;
	shtml->agent = ua;
	shtml->accept = ap;
	shtml->accept_charset = apc;
	shtml->accept_encoding = ape;
	shtml->connection = cn;
	shtml->te = te;
	shtml->header = NULL;
	shtml->recv_euc = NULL;
	shtml->title_euc = NULL;
	shtml->euc_size = 0;
/*
printf("%s\n",target);
printf("%s\n",host);
printf("%s\n",referer);
printf("%s\n",savefile);
printf("%s\n",message);
	*/

	if(HTTP_Data_Session(shtml,message) < 0){
		HTTP_Data_Free(shtml);
		return -1;
	}

	if((fp = fopen(savefile,"w")) != NULL){
		fwrite(shtml->recv_euc,sizeof(unsigned char),shtml->euc_size,fp);
		fclose(fp);
	}
	HTTP_Data_Free(shtml);

	return 0;

}
