#ifndef __IDO_NET_
#define __IDO_NET_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <unistd.h>
#include <time.h>
#include <signal.h>
#include <setjmp.h>

typedef struct HEADERHTML{
	int http_code;
	char *http;
	char *date;
	char *server;
	char *lastmodified;
	char *etag;
	char *acceptranges;
	char *contentlength;
	char *keepalive;
	char *connection;
	char *transferencoding;
	char *contenttype;
	char *contentencoding;
	char *location;
}header_t;
typedef struct SENDHTML{
        char *target;
        char *host;
        char *refere;

        char *agent;
        char *accept;
        char *accept_charset;
        char *accept_encoding;
        char *connection;
        char *te;

	header_t *header;

        unsigned char *recv_euc;
	unsigned char *title_euc;

	unsigned long euc_size;
}shtml_t;

#endif
